Skip to main content
`Ctrl`+`K`

# DMNetworkGetNumComponents

Get the number of components at a vertex/edge

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetNumComponents(DM dm, PetscInt p, PetscInt *numcomponents)

Not Collective

## Input Parameters

- dm - the `DMNETWORK` object

- p - vertex/edge point

## Output Parameter

- numcomponents - Number of components at the vertex/edge

## See Also

`DM`, `DMNETWORK`, `DMNetworkRegisterComponent()`, `DMNetworkAddComponent()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages